Method: accessPolicies.servicePerimeters.get

Gets a service perimeter based on the resource name.

HTTP request

GET https://accesscontextmanager.s3nsapis.fr/v1/{name=accessPolicies/*/servicePerimeters/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Resource name for the Service Perimeter.

Format: accessPolicies/{policyId}/servicePerimeters/{service_perimeter_id}

Query parameters

Parameters
deletedPrincipalSyntax

enum (DeletedPrincipalSyntaxSupport)

Optional. If true, the response will contain the deleted principal syntax for identities that support it.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ServicePerimeter.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • accesscontextmanager.servicePerimeters.get

For more information, see the IAM documentation.